# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ekodb_client"
version = "0.4.0"
authors = ["Sean M. Vazquez <sean.m.vazquez@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Official Rust client library for ekoDB - A high-performance database"
documentation = "https://docs.rs/ekodb_client"
readme = "README.md"
keywords = [
    "database",
    "ekodb",
    "client",
    "async",
]
categories = [
    "database",
    "api-bindings",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ekoDB/ekodb"

[features]
default = ["rustls"]
native-tls = [
    "reqwest/native-tls",
    "tokio-tungstenite/native-tls",
    "tokio-tungstenite/connect",
]
rustls = [
    "reqwest/rustls-tls",
    "tokio-tungstenite/rustls-tls-webpki-roots",
    "tokio-tungstenite/connect",
]

[lib]
name = "ekodb_client"
path = "src/lib.rs"

[[test]]
name = "integration_test"
path = "tests/integration_test.rs"

[dependencies.async-compression]
version = "0.4"
features = [
    "tokio",
    "gzip",
]

[dependencies.base64]
version = "0.22.1"

[dependencies.chrono]
version = "0.4.38"
features = ["serde"]

[dependencies.futures-util]
version = "0.3"

[dependencies.log]
version = "0.4"

[dependencies.regex]
version = "1.10"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "rustls-tls",
    "gzip",
    "stream",
]
default-features = false

[dependencies.rmp-serde]
version = "1.3"

[dependencies.rust_decimal]
version = "1.33"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-tungstenite]
version = "0.21"
default-features = false

[dependencies.tokio-util]
version = "0.7"
features = ["io"]

[dependencies.url]
version = "2.5"

[dependencies.uuid]
version = "1.10.0"
features = [
    "serde",
    "v4",
]

[dev-dependencies.env_logger]
version = "0.11"

[dev-dependencies.mockito]
version = "1.2"

[dev-dependencies.tokio-test]
version = "0.4"
